package com.zd.airbottle.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 用气审核对象 qp_usegas_audit_record
 * 
 * @author zd
 * @date 2022-05-12
 */
@ApiModel("用气审核")
public class QpUsegasAuditRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id,数据唯一标识 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 审核人id */
    @Excel(name = "审核人id")
    @ApiModelProperty(value = "审核人id")
    private Long auditUserid;
    /** 审核人 */
    @Excel(name = "审核人")
    @Length(message = "审核人长度不能超过50")
    @ApiModelProperty(value = "审核人")
    private String auditUser;
    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "审核时间")
    private Date auditTime;
    /** 审核状态（0未审核1.通过 2.驳回） */
    @Excel(name = "审核状态", readConverterExp = "0=未审核1.通过,2=.驳回")
    @ApiModelProperty(value = "审核状态")
    private Integer auditStatus;
    /** 用户申请id */
    @Excel(name = "用户申请id")
    @ApiModelProperty(value = "用户申请id")
    private Long usegasApplyId;
    /** 1实验室负责人 2实验中心 */
    @Excel(name = "1实验室负责人 2实验中心")
    @ApiModelProperty(value = "1实验室负责人 2实验中心")
    private Long auditType;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAuditUserid(Long auditUserid) 
    {
        this.auditUserid = auditUserid;
    }

    public Long getAuditUserid() 
    {
        return auditUserid;
    }
    public void setAuditUser(String auditUser) 
    {
        this.auditUser = auditUser;
    }

    public String getAuditUser() 
    {
        return auditUser;
    }
    public void setAuditTime(Date auditTime) 
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime() 
    {
        return auditTime;
    }
    public void setAuditStatus(Integer auditStatus)     {        this.auditStatus = auditStatus;    }

    public Integer getAuditStatus()
    {
        return auditStatus;
    }
    public void setUsegasApplyId(Long usegasApplyId) 
    {
        this.usegasApplyId = usegasApplyId;
    }

    public Long getUsegasApplyId() 
    {
        return usegasApplyId;
    }
    public void setAuditType(Long auditType)
    {
        this.auditType = auditType;
    }

    public Long getAuditType()
    {
        return auditType;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("auditUserid", getAuditUserid())
            .append("auditUser", getAuditUser())
            .append("auditTime", getAuditTime())
            .append("auditStatus", getAuditStatus())
            .append("remark", getRemark())
            .append("usegasApplyId", getUsegasApplyId())
            .append("auditType", getAuditType())
            .toString();
    }
}
